﻿using System;
using EnvelopeCreatorProject.DocusignAPI;
using EnvelopeCreatorProject.Models.Recipients.IdentityCheck;

namespace EnvelopeCreatorProject.Models.Recipients.IdentityCheckBuilders
{
    public class SmsAuthTypeBuilder : AuthTypeBuilder, IIdentityCheckBuilder
    {
        public new string Build(Recipient recipient)
        {
            base.Build(recipient);
            _objRecipient.AppendLine("\"smsAuthentication\":{");
            _objRecipient.AppendLine("\"senderProvidedNumbers\":[");
            _objRecipient.AppendLine(String.Join(",", ((SmsRecipientAuthentication)recipient.RecipientAuthentication).SenderProvidedNumbers));
            _objRecipient.AppendLine("]");
            _objRecipient.Append("},");
            return _objRecipient.ToString();
        }
    }
}
