﻿using System.Collections.Generic;

namespace QuikESignTransport.SelfService.Recipients
{
    public class SendType
    {
        internal static string SendCopyKey = "SC";

        private static readonly Dictionary<string, SendType.Type> _sendTypes = new Dictionary<string, SendType.Type>()
        {
            {"ETC", SendType.Type.EmailToSign},
            {SendCopyKey, SendType.Type.SendCopy},
            {"IPS", SendType.Type.InPersonSigners},
            {"Send Copy", SendType.Type.SendCopy},
            {"AG",SendType.Type.Agents},
            {"CD",SendType.Type.CertifiedDeliverY},
            {"ED",SendType.Type.Editors},
            {"INTER",SendType.Type.Intermediaries}
        };

        public static SendType.Type GetSendType(string type)
        {
            return _sendTypes.ContainsKey(type) ? _sendTypes[type] : SendType.Type.EmailToSign;
        }

        public enum Type
        {
            EmailToSign,
            SendCopy,
            InPersonSigners,
            Agents,
            CertifiedDeliverY,
            Editors,
            Intermediaries
        }

    }
}